Update a task
Updates only the supplied fields on a task in the project associated with the bearer project access token. Pass null to clear a nullable field or an empty assigneeIds array to remove all assignees. The token creator's current task permissions apply.
/v1/external/task/{taskId}Updates only the supplied fields on a task in the project associated with the bearer project access token. Pass null to clear a nullable field or an empty assigneeIds array to remove all assignees. The token creator's current task permissions apply.
Path Parameters
Task ID
uuidHeader Parameters
Project access token in Bearer format, e.g. Bearer <token>
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api-external.svit.one/api/v1/external/task/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Authorization: string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"status": "todo",
"priority": "high",
"folder": "ca579eb8-24ac-44d0-a8b9-a42c500083f5",
"parentTask": "deffe9eb-0e50-4aa4-9380-0f16e402e6b7",
"startDate": "2019-08-24T14:15:22Z",
"dueDate": "2019-08-24T14:15:22Z",
"assigneeIds": [
0
],
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"type": "https://api-errors.svit.one/validation/invalid-request",
"title": "Validation Failed",
"status": 400,
"detail": "Task name must not be empty",
"code": "INVALID_REQUEST",
"errors": [
{
"field": "name",
"message": "Task name must not be empty"
}
],
"timestamp": "2026-08-25T21:18:32.008Z"
}{
"type": "https://api-errors.svit.one/access/project-access-denied",
"title": "Project Access Denied",
"status": 403,
"detail": "You do not have access to project 1",
"code": "PROJECT_ACCESS_DENIED",
"timestamp": "2026-08-25T21:18:32.008Z"
}{
"type": "https://api-errors.svit.one/not-found/task",
"title": "Task Not Found",
"status": 404,
"detail": "Task task-id not found",
"code": "TASK_NOT_FOUND",
"timestamp": "2026-08-25T21:18:32.008Z"
}{
"type": "https://api-errors.svit.one/internal/server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred",
"code": "INTERNAL_SERVER_ERROR",
"timestamp": "2026-08-25T21:18:32.008Z"
}